Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.discovery
Interface MfDiscoveryInfo

public interface MfDiscoveryInfo

A discovery client is registered in the agent (MfDiscoveryService) and notifies CP module that have registered themselves to provide them with discovery RESPONSE message that are received from the CP instances unning on the node. The notification is a JMX notification. The notification type is set to the product name (this enables CP module to filter the notification they are interested in). The object received in the notification has to be casted to a MfDiscoveryInfo object on which you can apply the methods listed below to retrieve the informations filled in the DiscoveryResponder object.

Author:
  Sun Microsystems

Method Summary
`java.lang.String` | `getProduct()` Returns a String containing the product name that has been detected
`java.lang.String` | `getProductInstance()` Returns a String containing the product instance name that has been detected
`long` | `getTimeStamp()` Returns a long containing the timestamp taken when the instance was started
`java.lang.String` | `getUri()` Returns a String containing the URI where the instrumentation for the (product,productInstance) that has been detected can be reached
`byte[]` | `getUserData()` Returns a byte[] containing the UserData belonging to the (product,productInstance) that has been detected

Method Detail

### getProduct

    public java.lang.String getProduct()

  Returns a String containing the product name that has been detected

  Returns:
    Returns a String containing the product name that has been detected

### getProductInstance

    public java.lang.String getProductInstance()

  Returns a String containing the product instance name that has been detected

  Returns:
    Returns a String containing the product instance name that has been detected

### getUri

    public java.lang.String getUri()

  Returns a String containing the URI where the instrumentation for the (product,productInstance) that has been detected can be reached

  Returns:
    Returns a String containing the URI where the instrumentation for the product that has been detected can be reached

### getUserData

    public byte[] getUserData()

  Returns a byte[] containing the UserData belonging to the (product,productInstance) that has been detected

  Returns:
    Returns a byte[] containing the UserData belonging to the (product,productInstance) that has been detected

### getTimeStamp

    public long getTimeStamp()

  Returns a long containing the timestamp taken when the instance was started

  Returns:
    a long containing the timestamp taken when the instance was started

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD